//
- Run an Face Attribute Analysis task.
Check an Face Attribute Analysis task status.
Run an Face Attribute Ana...
This endpoint initiates the face attribute analysis process. You must provide a source file (via URL or File ID) and specify which features to analyze. The task will be processed asynchronously, and you can check its status using the task_id returned in this response.
Security
BearerAuthenticationV2
Any of:
The strictness level of face angle detection (pitch, yaw, roll). A stricter level ensures more accurate face attribute results. Default is 'high'. optoins:
- strict: pitch <= 4 degrees, yaw <= 6 degrees, roll <= 4 degrees
- high: pitch, yaw, roll <= 10 degrees
- medium: pitch, yaw, roll <= 15 degrees
- low: pitch, yaw, roll <= 20 degrees
- flexible: pitch, yaw, roll <= 30 degrees
Enum:"strict""high""medium""low""flexible"
Example:"high"
AI Face Analysis categories
Face Analysis
- FACE: faceShape
- EYES: eyeShape eyeSize eyeAngle eyeDistance eyelid
- BROWS: eyebrowShape eyebrowThickness eyebrowDistance eyebrowShortness
- LIPS: lipShape
- NOSE: noseWidth noseLength
- CHEEKBONES: cheekbones
- AGE & GENDER: age gender
- COLORS: eyeColor hairColor eyebrowColor lipColor
Facial Ratios
- horizontalThird
- verticalFifth
- faceAspectRatio
- eyeAspectRatio
- eyebrowPosition
- eyebrowArch
- eyeHeightToEyebrowDistance
- noseAspectRatio
- noseWidthToMouthWidth
- noseToLipToChin
- upperLipToLowerLip
Items Enum:"eyeShape""eyeSize""eyeAngle""eyeDistance""eyelid""eyebrowShape""eyebrowThickness""eyebrowDistance""eyebrowShortness""cheekbones"
POST
- Run task with src file url
- Run task with src file ID
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/face-attr-analysis \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"face_angle_strictness_level": "high",
"features": [
"eyeShape"
]
}'Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }